%define name	jumpnbump  
%define version 1.55
%define release %mkrel 3

Summary:	Cute little Bunny Game
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
Source0:	http://www.jumpbump.mine.nu/port/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Source2:	jumpnbump-1.41-man-pages.tar.bz2
URL:		http://www.jumpbump.mine.nu/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libSDL_mixer-devel libSDL_net-devel

%description
Jump n bump is a game for the whole family. You are cute fluffy little
bunnies and hop on the other bunnies' heads.

To play the game:
- Jiffy plays with the arrow keys
- Fizz plays with j, i, l
- Dott plays with a, w, d
- Mijji plays with 4, 8, 6

%prep
%setup -q -a 2 -n %name-1.50
perl -pi -e 's!PREFIX\"/share/jumpnbump/jumpbump.dat!\"%{_gamesdatadir}/%{name}/jumpbump.dat!g' globals.h

%build
%configure2_5x --bindir=%_gamesbindir --datadir=%_gamesdatadir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# french man page
install -D fr/jumpnbump.6 %buildroot%_mandir/fr/man6/jumpnbump.6
install -d $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/jumpnbump" \
  needs="X11" section="More Applications/Games/Arcade" title="Jump 'n Bump" longtitle="Violent game with cute little bunnies" icon="%{name}.png" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Jump 'n Bump
Comment=Violent game with cute little bunnies
Exec=%_gamesbindir/%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog LINKS README TODO levelmaking/jumpnbump_levelmaking.htm levelmaking/*.gif
%{_gamesbindir}/*
%dir %{_datadir}/games/%{name}
%{_gamesdatadir}/%{name}/*
%{_mandir}/man6/%name.6*
%lang(fr) %{_mandir}/fr/man6/%name.6*
%_datadir/applications/mandriva*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 1.55-3mdv2007.0
+ Revision: 103137
- move jumpnbump in contrib
- Import jumpnbump



* Tue Aug  1 2006 Gtz Waschk <goetz@zarb.org> 1.55-2plf2007.0
- xdg menu

* Mon Apr 24 2006 Gtz Waschk <goetz@zarb.org> 1.55-1plf
- fix build
- drop patches
- New release 1.55

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.50-2plf
- fix invalid distribution

* Wed Jun 16 2004 Gtz Waschk <goetz@plf.zarb.org> 1.50-1plf
- add source URL
- New release 1.50

* Tue May 11 2004 Gtz Waschk <goetz@plf.zarb.org> 1.41-3plf
- rebuild to fix menu section
- fix description

* Sun Sep 14 2003 Gtz Waschk <goetz@plf.zarb.org> 1.41-2plf
- fix buildrequires
- update man pages (thanks to Yvan Rivierre)

* Mon Mar 31 2003 Gtz Waschk <goetz@plf.zarb.org> 1.41-1plf
- new version

* Wed Nov 27 2002 Per yvind Karlsen <peroyvind@sintrax.net> 1.40-3plf
- This time it *does* really work(Patch #2), or else kick me where it hurts!

* Mon Nov 11 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.40-2plf
- updated by Per yvind Karlsen <peroyvind@delonic.no>: 
 - Added own icon
 - Patch for optflags
 - Made the game work;)
 - Cleanups
 - Put stuff in correct places

* Tue Sep 24 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.40-1plf
- use default icon in menu
- add man page
- fix installation
- new version

* Sun Aug 18 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.39-1plf
- requires SDL_net
- new version

* Mon Aug 12 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.35-1plf
- remove NO_XALF, obsolete
- add missing binaries
- rediff the patch
- new version

* Tue Jul 23 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.3-1plf
- plf package
- some cleanup 

* Tue Jul 23 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3-1mdk
- mandrake adaptation

* Sun Jun 23 2002 Henne Vogelsang <henne@links2linux.de>
- first build & release
